package org.ta.pddserver.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName("unpack_notice")
public class UnpackNoticeEntity {

    
    @TableId(value = "uid")
    private String uid;

    @TableField(value = "created")
    private String created;

    @TableField(value = "updated")
    private String updated;

    @TableField(value = "state")
    private Integer state;

    @TableField(value = "remarks")
    private String remarks;

    @TableField(value = "status")
    private Integer status;

    @TableField(value = "buyerCode")
    private String buyerCode;

    @TableField(value = "consoType")
    private String consoType;

    @TableField(value = "consoWarehouseCode")
    private String consoWarehouseCode;

    @TableField(value = "deliveryType")
    private String deliveryType;

    @TableField(value = "providerCode")
    private String providerCode;

    @TableField(value = "orderCode")
    private String orderCode;

    @TableField(value = "mailDetails")
    private String mailDetails;

    @TableField(value = "receiverDetail")
    private String receiverDetail;

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getUpdated() {
        return updated;
    }

    public void setUpdated(String updated) {
        this.updated = updated;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getBuyerCode() {
        return buyerCode;
    }

    public void setBuyerCode(String buyerCode) {
        this.buyerCode = buyerCode;
    }

    public String getConsoType() {
        return consoType;
    }

    public void setConsoType(String consoType) {
        this.consoType = consoType;
    }

    public String getConsoWarehouseCode() {
        return consoWarehouseCode;
    }

    public void setConsoWarehouseCode(String consoWarehouseCode) {
        this.consoWarehouseCode = consoWarehouseCode;
    }

    public String getDeliveryType() {
        return deliveryType;
    }

    public void setDeliveryType(String deliveryType) {
        this.deliveryType = deliveryType;
    }

    public String getProviderCode() {
        return providerCode;
    }

    public void setProviderCode(String providerCode) {
        this.providerCode = providerCode;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getMailDetails() {
        return mailDetails;
    }

    public void setMailDetails(String mailDetails) {
        this.mailDetails = mailDetails;
    }

    public String getReceiverDetail() {
        return receiverDetail;
    }

    public void setReceiverDetail(String receiverDetail) {
        this.receiverDetail = receiverDetail;
    }
}
